Skip to main content
POST
/
v1
/
admin
/
cruises
Create cruise
curl --request POST \
  --url https://{operatorDomain}/v1/admin/cruises \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "shipKey": "<string>"
}
'
{
  "key": "crse_01h...",
  "name": "<string>",
  "slug": "<string>",
  "shipKey": "<string>",
  "source": "local"
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Body

application/json
name
string
slug
string | null
shipKey
string | null

Response

201 - application/json

Created cruise

key
string
required
Example:

"crse_01h..."

name
string
required
slug
string | null
shipKey
string | null
source
string
Example:

"local"